<?php
use \common\libs\MyLib;
?>
<?php $this->beginBlock('header_css'); ?>
<link href="/assets/css/plugins/clockpicker/clockpicker.css" rel="stylesheet">
<?php $this->endBlock(); ?>

<div class="wrapper wrapper-content animated fadeInRight">
    <div class="ibox float-e-margins">
        <div class="ibox-content">
            <table id="listTable">
                <thead>
                <tr>
                    <th data-field="op_man">操作者</th>
                    <th data-field="op_time">操作时间</th>
                    <th data-field="remark">操作内容</th>
                </tr>
                </thead>
            </table>
        </div>
    </div>
</div>

<?php $this->beginBlock('footer_js'); ?>
<script src="/assets/js/plugins/bootstrap-table/bootstrap-table.min.js"></script>
<script src="/assets/js/plugins/bootstrap-table/bootstrap-table-mobile.min.js"></script>
<script src="/assets/js/plugins/bootstrap-table/locale/bootstrap-table-zh-CN.min.js"></script>
<script>
    var o = {};

    function refreshList() {
        $('#listTable').bootstrapTable('refresh');
    }

    function search() {
        $('#listTable').bootstrapTable('destroy');
        $('#listTable').bootstrapTable({
            url: "/car/history-json",
            pagination: true,
            sidePagination: 'server',
            multipleSelectRow: true,
            queryParams: function(params) {
                o['car_id'] = '<?=$car_id?>';
                o['limit'] = params['limit'];
                o['offset'] = params['offset'];
                return o;
            }
        });
    }

    $(function() {
        search();
    });
</script>
<?php $this->endBlock('footer_js'); ?>
